org.modeshape.sequencer.ddl.datatype

## Class DataType

- java.lang.Object
- - org.modeshape.sequencer.ddl.datatype.DataType

-     public class DataType
      extends Object

  A representation of SQL data types.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_LENGTH`
    `static int` | `DEFAULT_PRECISION`
    `static int` | `DEFAULT_SCALE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataType()`
    `DataType(String theName)`
    `DataType(String name, int length)`
    `DataType(String name, int precision, int scale)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendSource(boolean addSpaceBefore, String value)`
    `void` | `appendSource(boolean addSpaceBefore, String value, String... additionalStrs)`
    `long` | `getLength()`
    `String` | `getName()`
    `int` | `getPrecision()`
    `int` | `getScale()`
    `String` | `getSource()`
    `void` | `setLength(long value)`
    `void` | `setName(String value)`
    `void` | `setPrecision(int value)`
    `void` | `setScale(int value)`
    `void` | `setSource(String source)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_LENGTH

          public static final long DEFAULT_LENGTH

      See Also:
        Constant Field Values

    - #### DEFAULT_PRECISION

          public static final int DEFAULT_PRECISION

      See Also:
        Constant Field Values

    - #### DEFAULT_SCALE

          public static final int DEFAULT_SCALE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DataType

          public DataType()

    - #### DataType

          public DataType(String theName)

    - #### DataType

          public DataType(String name,
                  int length)

    - #### DataType

          public DataType(String name,
                  int precision,
                  int scale)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String value)

    - #### setLength

          public void setLength(long value)

    - #### getLength

          public long getLength()

    - #### setPrecision

          public void setPrecision(int value)

    - #### getPrecision

          public int getPrecision()

    - #### getScale

          public int getScale()

    - #### setScale

          public void setScale(int value)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### setSource

          public void setSource(String source)

      Parameters:
        `source` -

    - #### getSource

          public String getSource()

      Returns:
        source string

    - #### appendSource

          public void appendSource(boolean addSpaceBefore,
                          String value)

      Parameters:
        `addSpaceBefore` -
        `value` -

    - #### appendSource

          public void appendSource(boolean addSpaceBefore,
                          String value,
                          String... additionalStrs)

      Parameters:
        `addSpaceBefore` -
        `value` -
        `additionalStrs` -

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.